Bug 19952 - Update popup window templates to use Bootstrap grid: UNIMARC cataloging plugins
Summary: Update popup window templates to use Bootstrap grid: UNIMARC cataloging plugins
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on: 19878
Blocks: 19931
  Show dependency treegraph
 
Reported: 2018-01-11 13:54 UTC by Owen Leonard
Modified: 2018-07-18 11:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19952: Update popup window templates to use Bootstrap grid: UNIMARC cataloging plugins (3.27 KB, patch)
2018-01-11 14:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19952: Update popup window templates to use Bootstrap grid: UNIMARC cataloging plugins (3.33 KB, patch)
2018-01-18 21:47 UTC, Te Rauhina Jackson
Details | Diff | Splinter Review
Bug 19952: Update popup window templates to use Bootstrap grid: UNIMARC cataloging plugins (3.39 KB, patch)
2018-04-18 06:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-11 13:54:15 UTC
This bug falls under the omnibus Bug 19931, "Update popup window templates to use Bootstrap grid." Updated in this patch will be two UNIMARC cataloging plugins: unimarc_field_210c_bis.tt and unimarc_field_686a.tt.
Comment 1 Owen Leonard 2018-01-11 14:00:17 UTC Comment hidden (obsolete)
Comment 2 Te Rauhina Jackson 2018-01-18 21:47:15 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2018-02-04 15:34:20 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2018-04-18 06:08:26 UTC
Created attachment 74404 [details] [review]
Bug 19952: Update popup window templates to use Bootstrap grid: UNIMARC cataloging plugins

This patch updates two UNIMARC cataloging plugin templates to use the
Bootstrap grid instead of the YUI grid.

- unimarc_field_210c_bis.tt
- unimarc_field_686a.tt

To test you do not need a UNIMARC system.

Apply the patch and for each plugin, configure a MARC subfield (e.g.
100$a) to use that plugin.

From the MARC edit page, trigger the plugin and confirm that the
page in the popup window looks correct. Confirm that changes made in the
popup window are saved to the corresponding field in the editor.

Signed-off-by: Te Rauhina Jackson <terauhina.jackson@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-04-19 15:42:46 UTC
Pushed to master for 18.05, thanks to everybody involved!